# Generated by Django 3.2.5 on 2023-08-30 08:31

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import lingua.fields


class Migration(migrations.Migration):

    dependencies = [
        ('safe', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnnotationType',
            fields=[
                ('id', models.CharField(max_length=64, primary_key=True, serialize=False)),
                ('tag', models.CharField(choices=[('marker', 'Marker'), ('zone', 'Zone'), ('path', 'Path'), ('segment', 'Line'), ('cone', 'Cone'), ('circle', 'Circle')], max_length=12)),
                ('name', lingua.fields.LinguaField(verbose_name='annotation_name')),
                ('description', lingua.fields.LinguaField(verbose_name='annotation_description')),
            ],
        ),
        migrations.RemoveField(
            model_name='annotation',
            name='annotation_type',
        ),
        migrations.RemoveField(
            model_name='annotation',
            name='geom_linestring',
        ),
        migrations.RemoveField(
            model_name='annotation',
            name='geom_point',
        ),
        migrations.RemoveField(
            model_name='annotation',
            name='geom_polygon',
        ),
        migrations.AlterField(
            model_name='annotation',
            name='information_annex',
            field=models.TextField(default=str),
        ),
        migrations.CreateModel(
            name='KeyWord',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', lingua.fields.LinguaField(verbose_name='annotation_keyword')),
                ('annotation_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='safe.annotationtype')),
            ],
        ),
        migrations.CreateModel(
            name='AnnotationGeometry',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(choices=[('Point', 'Point'), ('LineString', 'LineString'), ('Polygon', 'Polygon')], max_length=16)),
                ('point', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=31370)),
                ('line', django.contrib.gis.db.models.fields.LineStringField(blank=True, null=True, srid=31370)),
                ('polygon', django.contrib.gis.db.models.fields.PolygonField(blank=True, null=True, srid=31370)),
                ('properties', models.JSONField(default=dict)),
                ('annotation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='safe.annotation')),
            ],
        ),
        migrations.AddField(
            model_name='annotation',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='safe.annotationtype'),
        ),
    ]
